Subject: bug#32287: closed (Re: [bug#32287] [PATCH] Reproducible svn checkouts)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Aug 2018 15:53:02 +0000

Your bug report

#32287: [PATCH] Reproducible svn checkouts

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32287: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32287
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#32287] [PATCH] Reproducible svn checkouts
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Sun, 19 Aug 2018 17:52:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Sun, 29 Jul 2018 15:59:03 +0200,
[email-masked] (Ludovic Courtès) a écrit :

> Hi Julien,
> 
> Julien Lepiller <[email-masked]> skribis:
> 
> > Some svn checkouts have sub-repositories that have their own .svn
> > folder. These folders contain timestamps, so this patch removes
> > every .svn folder in the result of the checkout, instead of only the
> > top-level one.  
> 
> Ouch, good catch.
> 
> Did you find packages that would trigger this issue?  We should
> somehow check all the packages that use ‘svn-fetch’ when we merge
> this patch, and update hashes as needed.
> 

No package in Guix trigger this issue, but I have a package definition
for JOSM that does. The patch doesn't change the content of sources
using svn-fetch we have, so there's nothing to worry about.

Pushed as dd1e45335e135fe724acece440782344ef8ca9fd in staging with
your suggestions. And now I wonder why I pushed to staging since it
doesn't change any existing package... too late I guess :)

Thank you!

Subject: [PATCH] Reproducible svn checkouts
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Fri, 27 Jul 2018 12:36:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Some svn checkouts have sub-repositories that have their own .svn
folder. These folders contain timestamps, so this patch removes
every .svn folder in the result of the checkout, instead of only the
top-level one.
>From 93aa06821d62ba902d6b3fbf5ece0cbb9d9ec797 Mon Sep 17 00:00:00 2001
From: Julien Lepiller <[email-masked]>
Date: Fri, 6 Jul 2018 18:32:50 +0200
Subject: [PATCH] guix: svn: Remove all .svn folders.

* guix/build/svn.scm (svn-fetch): Remove all .svn folders as they contain
timestamps.
---
 guix/build/svn.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/guix/build/svn.scm b/guix/build/svn.scm
index 252d1d4ee..41bbfdc87 100644
--- a/guix/build/svn.scm
+++ b/guix/build/svn.scm
@@ -51,7 +51,7 @@ valid Subversion revision.  Return #t on success, #f otherwise."
   ;; of the repo.  Since we want a fixed output, this directory needs
   ;; to be taken out.
   (with-directory-excursion directory
-    (delete-file-recursively ".svn"))
+    (for-each delete-file-recursively (find-files "." "\\.svn")))
 
   #t)
 
-- 
2.18.0